Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# ColorSpacesCompatibleConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename Cs1, typename Cs2>
struct boost::gil::ColorSpacesCompatibleConcept< Cs1, Cs2 >

Two color spaces are compatible if they are the same.

    concept ColorSpacesCompatibleConcept<ColorSpaceConcept Cs1, ColorSpaceConcept Cs2> {
        where SameType<Cs1,Cs2>;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp